Loading...
Searching...
No Matches
omMemOps.h File Reference

Go to the source code of this file.

## Macros

#define | omMemcpyW(p1, p2, l)
#define | omMemcpy_nwODD(p1, p2, l)
#define | omMemcpy_nwEVEN(p1, p2, l)
#define | omMemaddW(P1, P2, P3, L)
#define | omMemadd_nwODD(P1, P2, P3, L)
#define | omMemadd_nwEVEN(P1, P2, P3, L)
#define | omMemadd_nwONE(P1, P2, P3)
#define | omMemadd_nwTWO(P1, P2, P3)
#define | omMemsetW(P1, W, L)

## Macro Definition Documentation

## omMemadd_nwEVEN

#define omMemadd_nwEVEN | ( |  | P1,
|  |  | P2,
|  |  | P3,
|  |  | L )

Value:
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
unsigned long l = L; \
\
do \
{ \
*_p1++ = *_p2++ + *_p3++; \
*_p1++ = *_p2++ + *_p3++; \
l -=2; \
} \
while(l); \
} \
while(0)
l
int l
Definition cfEzgcd.cc:100

Definition at line 120 of file omMemOps.h.

#define omMemadd_nwEVEN(P1, P2, P3, L) \
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
unsigned long l = L; \
\
do \
{ \
*_p1++ = *_p2++ + *_p3++; \
*_p1++ = *_p2++ + *_p3++; \
l -=2; \
} \
while(l); \
} \
while(0)

## omMemadd_nwODD

#define omMemadd_nwODD | ( |  | P1,
|  |  | P2,
|  |  | P3,
|  |  | L )

Value:
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
unsigned long l = L; \
\
*_p1++ = *_p2++ + *_p3++; \
l--; \
\
do \
{ \
*_p1++ = *_p2++ + *_p3++; \
*_p1++ = *_p2++ + *_p3++; \
l -=2; \
} \
while(l); \
} \
while(0)

Definition at line 99 of file omMemOps.h.

#define omMemadd_nwODD(P1, P2, P3, L) \
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
unsigned long l = L; \
\
*_p1++ = *_p2++ + *_p3++; \
l--; \
\
do \
{ \
*_p1++ = *_p2++ + *_p3++; \
*_p1++ = *_p2++ + *_p3++; \
l -=2; \
} \
while(l); \
} \
while(0)

## omMemadd_nwONE

#define omMemadd_nwONE | ( |  | P1,
|  |  | P2,
|  |  | P3 )

Value:
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
\
*_p1 = *_p2 + *_p3; \
} \
while(0)

Definition at line 138 of file omMemOps.h.

#define omMemadd_nwONE(P1, P2, P3) \
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
\
*_p1 = *_p2 + *_p3; \
} \
while(0)

## omMemadd_nwTWO

#define omMemadd_nwTWO | ( |  | P1,
|  |  | P2,
|  |  | P3 )

Value:
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
\
*_p1++ = *_p2++ + *_p3++; \
*_p1 = *_p2 + *_p3; \
} \
while(0)

Definition at line 149 of file omMemOps.h.

#define omMemadd_nwTWO(P1, P2, P3) \
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
\
*_p1++ = *_p2++ + *_p3++; \
*_p1 = *_p2 + *_p3; \
} \
while(0)

## omMemaddW

#define omMemaddW | ( |  | P1,
|  |  | P2,
|  |  | P3,
|  |  | L )

Value:
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
unsigned long l = L; \
\
do \
{ \
*_p1++ = *_p2++ + *_p3++; \
l--; \
} \
while(l); \
} \
while(0)

Definition at line 82 of file omMemOps.h.

#define omMemaddW(P1, P2, P3, L) \
do \
{ \
unsigned long* _p1 = P1; \
const unsigned long* _p2 = P2; \
const unsigned long* _p3 = P3; \
unsigned long l = L; \
\
do \
{ \
*_p1++ = *_p2++ + *_p3++; \
l--; \
} \
while(l); \
} \
while(0)

## omMemcpy_nwEVEN

#define omMemcpy_nwEVEN | ( |  | p1,
|  |  | p2,
|  |  | l )

Value:
do \
{ \
long _i = l; \
long* _s1 = (long*) (p1); \
const long* _s2 = (long*) (p2); \
\
for (;;) \
{ \
*_s1++ = *_s2++; \
*_s1++ = *_s2++; \
_i -= 2; \
if (_i == 0) break; \
} \
} \
while(0)
while
while(1)
Definition libparse.cc:1444

Definition at line 65 of file omMemOps.h.

#define omMemcpy_nwEVEN(p1, p2, l) \
do \
{ \
long _i = l; \
long* _s1 = (long*) (p1); \
const long* _s2 = (long*) (p2); \
\
for (;;) \
{ \
*_s1++ = *_s2++; \
*_s1++ = *_s2++; \
_i -= 2; \
if (_i == 0) break; \
} \
} \
while(0)

## omMemcpy_nwODD

#define omMemcpy_nwODD | ( |  | p1,
|  |  | p2,
|  |  | l )

Value:
do \
{ \
long _i = (l) - 1; \
long* _s1 = (long*) (p1); \
const long* _s2 = (long*) (p2); \
\
*_s1++ = *_s2++; \
for (;;) \
{ \
*_s1++ = *_s2++; \
*_s1++ = *_s2++; \
_i -= 2; \
if (_i == 0) break; \
} \
} \
while(0)

Definition at line 47 of file omMemOps.h.

#define omMemcpy_nwODD(p1, p2, l) \
do \
{ \
long _i = (l) - 1; \
long* _s1 = (long*) (p1); \
const long* _s2 = (long*) (p2); \
\
*_s1++ = *_s2++; \
for (;;) \
{ \
*_s1++ = *_s2++; \
*_s1++ = *_s2++; \
_i -= 2; \
if (_i == 0) break; \
} \
} \
while(0)

## omMemcpyW

#define omMemcpyW | ( |  | p1,
|  |  | p2,
|  |  | l )

Value:
do \
{ \
long _i = l; \
long* _s1 = (long*) (p1); \
const long* _s2 = (long*) (p2); \
\
for (;;) \
{ \
*_s1 = *_s2; \
_i--; \
if (_i == 0) break; \
_s1++; \
_s2++; \
} \
} \
while(0)

Definition at line 29 of file omMemOps.h.

#define omMemcpyW(p1, p2, l) \
do \
{ \
long _i = l; \
long* _s1 = (long*) (p1); \
const long* _s2 = (long*) (p2); \
\
for (;;) \
{ \
*_s1 = *_s2; \
_i--; \
if (_i == 0) break; \
_s1++; \
_s2++; \
} \
} \
while(0)

## omMemsetW

#define omMemsetW | ( |  | P1,
|  |  | W,
|  |  | L )

Value:
do \
{ \
long* _p1 = (long*) (P1); \
unsigned long _l = L; \
unsigned long _w = W; \
while(_l) \
{ \
*_p1++ = _w; \
_l--; \
} \
} \
while(0)

Definition at line 161 of file omMemOps.h.

#define omMemsetW(P1, W, L) \
do \
{ \
long* _p1 = (long*) (P1); \
unsigned long _l = L; \
unsigned long _w = W; \
while(_l) \
{ \
*_p1++ = _w; \
_l--; \
} \
} \
while(0)